Bug 19492 - Lack of encoding charset declared makes a site unreadable in Webkit
Summary: Lack of encoding charset declared makes a site unreadable in Webkit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Evangelism (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL: http://www.andhrajyothy.com/
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-11 12:34 PDT by Anantha Keesara
Modified: 2010-05-25 10:10 PDT (History)
2 users (show)

See Also:


Attachments
Screenshot (605.49 KB, image/png)
2008-06-11 12:34 PDT, Anantha Keesara
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anantha Keesara 2008-06-11 12:34:16 PDT
I. Steps:
 -----------
 
 1. Launch Safari
 
 2. Go to : http://www.indiapress.org/gen/news.php/Andhra_Jyothi
 
 II. Issue:
 -----------------
 Font is not displaying in proper format.
 
 
 
 III. Other browsers:
 -----------------------
 IE7 : ok
 FF3 : not working 
 Opera 9.27: not working
 
 
 IV. Safari nightly tested: version 3.1.1(525.17 )- r34278.
 
 Not working properly on Safari.
 
 
 
 V. Safari screenshot : Avalible
Comment 1 Anantha Keesara 2008-06-11 12:34:19 PDT
Created attachment 21633 [details]
Screenshot
Comment 2 Robert Blaut 2008-06-13 01:50:24 PDT
It's an evangelism issue. The site have no charset declared do it fallback to iso-8859-1. The problem should be fixed by web developer of that page.
Comment 3 Alexey Proskuryakov 2010-05-25 10:10:57 PDT
This page (actually, subframe) uses UTF-8 now, and declares it in a META.